summaryrefslogtreecommitdiff
path: root/arch
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2017-08-19 13:17:09 +0300
committerLars Wirzenius <liw@liw.fi>2017-08-19 13:17:09 +0300
commit38c345ccf746c06880b2e74bc9089b20eddbc736 (patch)
treecc77fe2bb58c91ec47b9ba83d7610ffb5f7629be /arch
parent22562d6aa659d41e2b81a5d99537dbfe9d7141b0 (diff)
downloadick2-38c345ccf746c06880b2e74bc9089b20eddbc736.tar.gz
Add: unset DISPLAY when running plantuml
Otherwise plantuml shows things (a small icon of some sort) while running, which is useless and distracting.
Diffstat (limited to 'arch')
-rwxr-xr-xarch/build.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/arch/build.sh b/arch/build.sh
index ed20d11..90cebb7 100755
--- a/arch/build.sh
+++ b/arch/build.sh
@@ -2,6 +2,8 @@
set -eu
+export DISPLAY=
+
output="$(dirname "$1")/$(basename "$1" .mdwn)"
tmp="$(mktemp -d)"
@@ -11,7 +13,7 @@ clean()
rm -rf "$tmp"
}
-#trap clean EXIT
+trap clean EXIT
cat -- "$@" | python2 ./build.py "$tmp" > "$tmp/foo.mdwn"
pandoc --toc -V documentstyle:report --chapters -o "$output.pdf" "$tmp/foo.mdwn"